SDL_WasInit(3)

NAME
SDL_WasInit - Get a mask of the specified subsystems which are currently initialized.

SYNOPSIS
#include <SDL3/SDL_init.h>

SDL_InitFlags SDL_WasInit(SDL_InitFlags flags);

FUNCTION PARAMETERS

flags
    any of the flags used by SDL_Init(); see SDL_Init for details.

RETURN VALUE
Returns a mask of all initialized subsystems if flags is 0, otherwise it returns the initialization status of the specified subsystems.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_Init(3), SDL_InitSubSystem(3)